macaquedev's blog

By macaquedev, history, 3 months ago, In English

So, I joined today's round with pretty high expectations, because I enjoy trying to speedsolve div3's and 4's However, the problems today were truly awful and rife with issues.

Let's start with Problem A. It's probably the easiest problem ever seen on this site. As soon as the contest began, submissions poured in by the thousands, clogging up the queue. It was chaos. I ended up submitting C and D before even finding out if my B submission was correct.

Speaking of Problem B, it was a nightmare of unclear instructions, leading to a flood of Wrong Answer submissions from thousands of people. "For a better understanding, please check the notes section." Seriously? That’s just pathetic, and so lazy...

Surprisingly, Problem C was decent, but Problem D? An absolute disaster! The weak pretests allowed a flood of grey Python/C# users to fail miserably when my braindead brute-force hack of:

1
?????????????????????????????...
abcdefghijklmnopqrstuvwxyzabc...

caused a whole page of submissions to topple like dominoes. And don’t get me started on the terminology — it's "contiguous subsequence," not "continuous." Google could have corrected you, for crying out loud!

Then there was E. Another nightmare with weak pretests and ridiculous O(nt) solutions passing (and of course, the legendary stils somehow using some kind of black magic to withstand about 300 hacks of a nonsense O(nt) solution, including about twenty from my friend myst-6). Of course, it is even in the contest creation guidelines to ensure that "stupid bruteforce solutions" don't pass, but I guess the rules maybe didn't apply to today's contest? Lord knows.

And just when I thought a good problem came up, one I actually rather enjoyed solving, I get a message straight after the contest from a certain AG-88301 telling me that GitHub Copilot solved this problem with no input from him???? I thought it was common sense to run problem statements through generative AI to make sure they aren't instantly solved, but I guess not for today's problem writers.

And then after all this, we're hit with just about the most standard ternary search question in existence? It's not even funny at this point, it's just embarrassing.

Rant over. I hope those who deserved rating got it. In a perfect world, low-quality contests like this wouldn’t happen, but in our flawed reality, it’s just another day.

  • Vote: I like it
  • -63
  • Vote: I do not like it

»
3 months ago, # |
  Vote: I like it +23 Vote: I do not like it

It's just a Div4 contest man, and we didn't have serious problems. Relax.

»
3 months ago, # |
Rev. 2   Vote: I like it +35 Vote: I do not like it

I don't have any strong opinions on the round (mostly because I lied down sick and submitted to G1/2 from my phone), but I love how passionate you are in your writing! Lmao

»
3 months ago, # |
  Vote: I like it +12 Vote: I do not like it

Yeah, after reading this post, it really seems to be a weird Div. 4. Brute force passed on task E, binary search on G1 and ternary on G2. However, I think we all can recover from this, and this is just one occasion of a lower quality contest.

»
3 months ago, # |
  Vote: I like it +55 Vote: I do not like it

All div 4 (and div 3 with easy first problems) contests clog up the queue. It's not the authors fault for setting the easiest A in coding history. They're required to.

»
3 months ago, # |
  Vote: I like it +16 Vote: I do not like it

I'll be honest, when I opened the statement of G1 and saw that it was literally just binary search I thought it was a joke. But I realised that it's a div 4, it doesn't have to be particularly difficult. The queue is annoying of course but I doubt there's much that can be done about it.

  • »
    »
    3 months ago, # ^ |
      Vote: I like it +9 Vote: I do not like it

    just beg telegram for more money and more servers I guess? sounds fairly trivial to me

»
3 months ago, # |
  Vote: I like it +8 Vote: I do not like it

skill issue mate

»
3 months ago, # |
  Vote: I like it +18 Vote: I do not like it

I don't think you've seen a lot of Div 4 As, because today's was certainly not as easy as this.

»
3 months ago, # |
  Vote: I like it +20 Vote: I do not like it

I've made over 200 attempts to hack the O(nt) solutions of E. Only 5 were successful...

  • »
    »
    3 months ago, # ^ |
    Rev. 2   Vote: I like it +3 Vote: I do not like it

    What test case did you use? I used:

    print(10000)
    for i in range(50):
        for j in range(100):
            print(1, 200000-j)
        for j in range(100, 0, -1):
            print(1, 200000-j)
    

    and it was never successful...

    • »
      »
      »
      3 months ago, # ^ |
      Rev. 2   Vote: I like it +19 Vote: I do not like it

      I started from easy cases like (1+i, 200000-i) and (1, 200000), but then I used more operations.

      Here are some successful hacks:

      # 1
      print(10000)
      [print(1 + i % 6, 200000 - i % 5) for i in range(10000)]
      # 2
      print(10000)
      [print(101 + i // 8 + i % 3, 200000 - i // 8 - i % 2 - i % 3) for i in range(10000)]
      # 3
      print(10000)
      [print(5 + i // 35 + 13 * i * i % (37 * 59), 200000 - 2 * i // 257 - i * i * i % 4099) for i in range(10000)]
      # 4
      print(10000)
      [print(5 + i // 111 + 7 * i * i % 511, 200000 - 2 * i // 257 - i * i * i % 1231) for i in range(10000)]
      # 5
      print(10000)
      print(1, 200000)
      [print(20000 + i, 99999 - i) for i in range(8000)]
      [print(200 + i, 199999 - i) for i in range(1000)]
      [print(30000 + i, 40000 + i + i) for i in range(999)]
      

      Worth to say I had no exact plan for creating the countertests, it was just adding/deleting/changing the modulo, division and multiplication operators.

»
3 months ago, # |
  Vote: I like it +1 Vote: I do not like it

oh no, a super easy 4A, how could they!

»
3 months ago, # |
  Vote: I like it 0 Vote: I do not like it

Just sharing my experience ,As It was my first unrated participation in Div4, For Question F, I Googled NCR formula with modular Arithmetic and soon got one in GFG, then, I just copy pasted it blindly....xD.

  • »
    »
    3 months ago, # ^ |
      Vote: I like it -7 Vote: I do not like it

    it's worth having a template for modular arithmetic, it comes up literally all the time

»
3 months ago, # |
  Vote: I like it +13 Vote: I do not like it

This round was basically an educational round with binary search, ternary search, choose with mod. Those can all be easily looked up on Google. With the 3 hardest problems being classic and can be easily searched up, ratings could be impacted on whether or not you know these things that I listed. I honestly don't think this should happen, but we'll see how future contests go.

»
3 months ago, # |
  Vote: I like it +8 Vote: I do not like it

queue was terrible I agree you can even see how it affected me (took 10 min on G1 to get Idleness limit exceeded then another 10 min to get wrong on test 1) however that's on mike not the Authors, B was bad other than that everything is good.

easy problems? its div 4.

and you should at least know what's the time complexity of your code and how slow it is before submitting.

»
3 months ago, # |
  Vote: I like it -8 Vote: I do not like it

so you're mad...that you didn't read the problem statement for B?

  • »
    »
    3 months ago, # ^ |
      Vote: I like it -8 Vote: I do not like it

    I'd just like to remind you that one of us got AK this contest, and the other did not... I wonder which one of us it was :)

    oh and also, it would be nice if you read the rest of my blog before making such a nonsensical comment.

    • »
      »
      »
      3 months ago, # ^ |
        Vote: I like it +8 Vote: I do not like it

      one of us started ranting online about how terrible the round was...and for the record i'm really happy with my performance.

      i'm not even trying to be mean here, for the sake of your blood pressure, you should go do a relaxing activity for 30-45 minutes (long walk, meditation, affirmations, etc).

      • »
        »
        »
        »
        3 months ago, # ^ |
        Rev. 2   Vote: I like it -8 Vote: I do not like it

        one of us was sort of pressured into writing a blogpost by a group of their friends to try and farm downvotes...

        also, well done on your performance!

        • »
          »
          »
          »
          »
          3 months ago, # ^ |
            Vote: I like it 0 Vote: I do not like it

          damn...was hoping to get you more riled up

          i guess this turned wholesome. well done to you also, and good luck on the next one

          • »
            »
            »
            »
            »
            »
            3 months ago, # ^ |
              Vote: I like it +8 Vote: I do not like it

            thanks, I need it after whatever the hell happened to me on Sunday... and good luck to you too!

»
3 months ago, # |
Rev. 2   Vote: I like it +21 Vote: I do not like it

A: It's Div. 4 and there's nothing wrong with having the easiest problems here. I think the queue issue is what Codeforces itself should resolve and we shouldn't change problems' difficulties for this.

B: I don't think it was unclear. It's just that it's hard to carefully work case by case. I think the examples could be stronger, but that's it.

D: Kinda agree on this one. I don't feel it was necessary to put a total of 12 tests in this problem while none of the larger ones didn't really seem to try to be against brute forces. I hope problemsetters to focus more on hacking actual inefficient solutions rather than adding purposeless random tests.

E: It's not the fault of the tests (I saw them and there were a near-worst case before hacks). It's more about the constraints that let $$$\mathcal{O}(t(r-l))$$$ solutions pass. They should have been properly blocked by a wider range of constraints.

G: It's Div. 4 though and it wasn't really that standard. Has anybody rated < 1400 even tried to do a ternary search on an interactive problem ever before? If this kind of problem doesn't go here then where would you experience them? It's also not just straightforward trivial that you can use the given type of query to actually ask two questions at once. You probably just guessed it by seeing the constraints in the first place.

  • »
    »
    3 months ago, # ^ |
      Vote: I like it 0 Vote: I do not like it

    Due to the queue i got WA at B and got to know about it after 20 minutes. Its very frustrating sometimes.

    • »
      »
      »
      3 months ago, # ^ |
        Vote: I like it 0 Vote: I do not like it

      Same, I got 2 WAs and I got AC on it after solving ACDEF. But I don't want to blame problem A for this.

»
3 months ago, # |
  Vote: I like it +8 Vote: I do not like it

Lol my E got hacked and I don't know how. It had two solutions maths and precomputation. I did precomputation and someone hacked it. Lol. But contest was really very good and i enjoyed it. I was unable to solve G2 and F during contest both were nice problems.